import java.io.*;
import java.util.HashMap;
import java.util.Map;
import java.util.StringTokenizer;

class L {
    static BufferedReader reader;
    static PrintWriter writer;
    static StringTokenizer tok;

    static String nextToken() {
        while (tok == null || !tok.hasMoreTokens()) {
            try {
                tok = new StringTokenizer(reader.readLine());
            } catch (IOException e) {
                System.out.println(e);
                System.exit(1);
            }
        }
        return tok.nextToken();
    }

    static int nextInt() {
        return Integer.parseInt(nextToken());
    }

    static long nextLong() {
        return Long.parseLong(nextToken());
    }

    static double nextDouble() {
        return Double.parseDouble(nextToken());
    }

    static void init() {
        try {
            reader = new BufferedReader(new InputStreamReader(new FileInputStream("legion.in")));
            writer = new PrintWriter(System.out);
        } catch (FileNotFoundException e) {
            System.out.println(e);
            System.exit(1);
        }
    }

    static Map<Long, Long> table = new HashMap<Long, Long>();

    static long count(long n) {
        if (table.containsKey(n)) return table.get(n);
        if (n == 1 || n == 2) {
            table.put(n, 0L);
            return 0;
        }
        if (n == 3) {
            table.put(n, 1L);
            return 1;
        }
        if (n % 2 == 0) {
            long ans = 2 * count(n / 2);
            table.put(n, ans);
            return ans;
        }
        long ans = count(n / 2) + count(n / 2 + 1);
        table.put(n, ans);
        return ans;
    }

    static void solve() {
        int test = nextInt();
        for (int t = 0; t < test; t++) {
            long n = nextLong();
            writer.println(count(n));
        }
    }

    static void close() {
        try {
            reader.close();
            writer.close();
        } catch (IOException e) {
            System.out.println(e);
            System.exit(1);
        }
    }

    public static void main(String[] args) {
        init();
        solve();
        close();
    }
}
