import java.io.*;
import java.util.Arrays;
import java.util.StringTokenizer;

class B {
    static BufferedReader reader;
    static PrintWriter writer;
    static StringTokenizer tok;

    static String nextToken() {
        while (tok == null || !tok.hasMoreTokens()) {
            try {
                tok = new StringTokenizer(reader.readLine());
            } catch (IOException e) {
                System.out.println(e);
                System.exit(1);
            }
        }
        return tok.nextToken();
    }

    static int nextInt() {
        return Integer.parseInt(nextToken());
    }

    static long nextLong() {
        return Long.parseLong(nextToken());
    }

    static double nextDouble() {
        return Double.parseDouble(nextToken());
    }

    static void init() {
        try {
            reader = new BufferedReader(new InputStreamReader(new FileInputStream("bus.in")));
            writer = new PrintWriter(System.out);
        } catch (FileNotFoundException e) {
            System.out.println(e);
            System.exit(1);
        }
    }

    static class Segment {
        int d, l, h;

        Segment(int d, int l, int h) {
            this.d = d;
            this.l = l;
            this.h = h;
        }
    }

    static double compute(int v, Segment[] segs) {
        double ans = 0;

        for (int i = 0; i < segs.length; i++) {
            ans += 1.0 * segs[i].d / v;
            if (segs[i].l < v) ans += segs[i].h;
        }

        return ans;
    }

    static void solve() {
        int test = nextInt();
        for (int t = 0; t < test; t++) {
            int n = nextInt(), m = nextInt();
            Segment[] segs = new Segment[n];
            for (int i = 0; i < n; i++) segs[i] = new Segment(nextInt(), nextInt(), nextInt());

            double min = Double.POSITIVE_INFINITY;
            int v = 0;
            double ans = compute(1, segs);
            if (ans <= min) {
                min = ans;
                if (ans < min) v = 1;
                else if (1 > v) v = 1;
            }
            ans = compute(m, segs);
            if (ans <= min) {
                min = ans;
                v = m;
                if (ans < min) v = m;
                else if (m > v) v = m;
            }
            for (int i = 0; i < n; i++) {
                ans = compute(segs[i].l, segs);
                if (ans <= min) {
                    min = ans;
                    if (ans < min) v = segs[i].l;
                    else if (segs[i].l > v) v = segs[i].l;
                }
            }

            writer.println(v);
        }
    }

    static void close() {
        try {
            reader.close();
            writer.close();
        } catch (IOException e) {
            System.out.println(e);
            System.exit(1);
        }
    }

    public static void main(String[] args) {
        init();
        solve();
        close();
    }
}
