import java.io.*;
import java.util.Arrays;
import java.util.StringTokenizer;

class E {
    static BufferedReader reader;
    static PrintWriter writer;
    static StringTokenizer tok;

    static String nextToken() {
        while (tok == null || !tok.hasMoreTokens()) {
            try {
                tok = new StringTokenizer(reader.readLine());
            } catch (IOException e) {
                System.out.println(e);
                System.exit(1);
            }
        }
        return tok.nextToken();
    }

    static int nextInt() {
        return Integer.parseInt(nextToken());
    }

    static long nextLong() {
        return Long.parseLong(nextToken());
    }

    static double nextDouble() {
        return Double.parseDouble(nextToken());
    }

    static void init() {
        try {
            reader = new BufferedReader(new InputStreamReader(new FileInputStream("economies.in")));
            writer = new PrintWriter(System.out);
        } catch (FileNotFoundException e) {
            System.out.println(e);
            System.exit(1);
        }
    }

    static void solve() {
        int test = nextInt();
        for (int t = 0; t < test; t++) {
            int n = nextInt(), k = nextInt();
            int[] cs = new int[n];
            for (int i = 0; i < n; i++) cs[i] = nextInt();

            long sum = 0;
            if (k >= n)
                for (int i = 0; i < n; i++) sum += cs[i];
            else {
                int[] cnts = new int[k];
                int pos = 0;
                Arrays.sort(cs);
                for (int i = n - 1; i >= 0; i--) {
                    sum += (cnts[pos] + 1) * cs[i];
                    cnts[pos]++;
                    pos = (pos + 1) % k;
                }
            }

            writer.println(sum);
        }
    }

    static void close() {
        try {
            reader.close();
            writer.close();
        } catch (IOException e) {
            System.out.println(e);
            System.exit(1);
        }
    }

    public static void main(String[] args) {
        init();
        solve();
        close();
    }
}
