import java.io.*;
import java.util.StringTokenizer;

class J {
    static BufferedReader reader;
    static PrintWriter writer;
    static StringTokenizer tok;

    static String nextToken() {
        while (tok == null || !tok.hasMoreTokens()) {
            try {
                tok = new StringTokenizer(reader.readLine());
            } catch (IOException e) {
                System.out.println(e);
                System.exit(1);
            }
        }
        return tok.nextToken();
    }

    static int nextInt() {
        return Integer.parseInt(nextToken());
    }

    static long nextLong() {
        return Long.parseLong(nextToken());
    }

    static double nextDouble() {
        return Double.parseDouble(nextToken());
    }

    static void init() {
        try {
            reader = new BufferedReader(new InputStreamReader(new FileInputStream("joust.in")));
            writer = new PrintWriter(System.out);
        } catch (FileNotFoundException e) {
            System.out.println(e);
            System.exit(1);
        }
    }

    static double f(double p1, double p2, double p3, long n, long k) {
        return (n * (p1 + p3 * 0.5) + (k - n) * (1 - p2)) / k;
    }

    static double TRESHOLD = 0.00001;

    static long binsearch(long l, long r, double p1, double p2, double p3, long k, boolean inc) {
        long mid = l / 2 + r / 2;
        double fmid = f(p1, p2, p3, mid, k);
        if (l == r) return l;
        if (inc) {
            if (fmid >= 0.5) return binsearch(l, mid, p1, p2, p3, k, inc);
            else return binsearch(mid + 1, r, p1, p2, p3, k, inc);
        } else {
            if (fmid <= 0.5) return binsearch(l, mid, p1, p2, p3, k, inc);
            else return binsearch(mid + 1, r, p1, p2, p3, k, inc);
        }
    }

    static void solve() {
        int test = nextInt();
        for (int t = 0; t < test; t++) {
            long k = nextLong();
            double p1 = nextDouble() / 100, p2 = nextDouble() / 100, p3 = nextDouble() / 100;
            boolean inc;
            if (f(p1, p2, p3, 1, k) > f(p1, p2, p3, k - 1, k)) inc = false;
            else inc = true;
            long ans = binsearch(1, k - 1, p1, p2, p3, k, inc);

            writer.println(ans);
        }
    }

    static void close() {
        try {
            reader.close();
            writer.close();
        } catch (IOException e) {
            System.out.println(e);
            System.exit(1);
        }
    }

    public static void main(String[] args) {
        init();
        solve();
        close();
    }
}
